SoCylinderDetail(3)

NAME
SoCylinderDetail - The SoCylinderDetail class contains information about the parts of a SoCylinder shape.

SYNOPSIS

#include <Inventor/details/SoCylinderDetail.h>

Inherits SoDetail.

  Public Member Functions
virtual SoType getTypeId (void) const
SoCylinderDetail (void)
virtual ~SoCylinderDetail ()
virtual SoDetail * copy (void) const
void setPart (const int part)
int getPart (void) const
Public Member Functions inherited from SoDetail
virtual ~SoDetail ()
SbBool isOfType (const SoType type) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void cleanupClass (void)
static void initClass (void)
Static Public Member Functions inherited from SoDetail
static void initClass (void)
static void initClasses (void)
static SoType getClassTypeId (void)

  Protected Attributes
int part

  Additional Inherited Members
Protected Member Functions inherited from SoDetail
SoDetail (void)

Detailed Description

The SoCylinderDetail class contains information about the parts of a SoCylinder shape. Instances of this class are used for storing information about hit points on cylinder geometry after pick operations, and for storing information returned to tessellation callbacks.

See also
    SoCylinder, SoRayPickAction, SoCallbackAction

Constructor & Destructor Documentation

  SoCylinderDetail::SoCylinderDetail (void )
Constructor.

  SoCylinderDetail::~SoCylinderDetail () [virtual]
Destructor.

Member Function Documentation

  SoType SoCylinderDetail::getTypeId (void ) const [virtual]
Returns the type identification of an object derived from a class inheriting SoDetail. This is used for runtime type checking and "downward" casting.

Implements SoDetail.

  SoType SoCylinderDetail::getClassTypeId (void ) [static]
This static method returns the SoType object associated with objects of this class.

  void SoCylinderDetail::cleanupClass (void ) [inline], [static]
This static method cleans up static data of the class.

  SoDetail * SoCylinderDetail::copy (void ) const [virtual]
Return a deep copy of ourself.

Note that if the Coin library has been built as a DLL under Microsoft Windows and you use this method from application code, you must make sure that both the Coin DLL and the application executable are using the same instance of a C Run-Time (CRT) library. Otherwise, you will get memory heap corruption upon deallocating the returned instances, eventually leading to mysterious crashes.

Implements SoDetail.

  void SoCylinderDetail::setPart (const int partarg)
Set the part of a cylinder which was selected. A cylinder has three different conceptual parts; SoCylinder::SIDES, SoCylinder::TOP or SoCylinder::BOTTOM.

  int SoCylinderDetail::getPart (void ) const
Returns selected cylinder part.

Member Data Documentation

  int SoCylinderDetail::part [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Author

Generated automatically by Doxygen for Coin from the source code.